#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(libcfs_subsystem_debug, "", "");
KSYMTAB_DATA(libcfs_debug, "", "");
KSYMTAB_DATA(libcfs_catastrophe, "", "");
KSYMTAB_DATA(libcfs_watchdog_ratelimit, "", "");
KSYMTAB_DATA(libcfs_kmem, "", "");
KSYMTAB_DATA(libcfs_debug_file_path, "", "");
KSYMTAB_FUNC(cfs_mask2str, "", "");
KSYMTAB_FUNC(cfs_str2mask, "", "");
KSYMTAB_FUNC(libcfs_debug_dumplog, "", "");
KSYMTAB_FUNC(lbug_with_loc, "", "");
KSYMTAB_FUNC(libcfs_debug_clear_buffer, "", "");
KSYMTAB_FUNC(libcfs_debug_mark_buffer, "", "");
KSYMTAB_DATA(cfs_fail_loc, "", "");
KSYMTAB_DATA(cfs_fail_val, "", "");
KSYMTAB_DATA(cfs_fail_err, "", "");
KSYMTAB_DATA(cfs_race_waitq, "", "");
KSYMTAB_DATA(cfs_race_state, "", "");
KSYMTAB_FUNC(__cfs_fail_check_set, "", "");
KSYMTAB_FUNC(__cfs_fail_timeout_set, "", "");
KSYMTAB_DATA(cpu_npartitions, "", "");
KSYMTAB_DATA(cpu_pattern, "", "");
KSYMTAB_FUNC(debugfs_doint, "", "");
KSYMTAB_FUNC(lnet_insert_debugfs, "_gpl", "");
KSYMTAB_FUNC(lnet_debugfs_fini, "_gpl", "");
KSYMTAB_FUNC(lnet_remove_debugfs, "_gpl", "");
KSYMTAB_FUNC(libcfs_setup, "", "");
KSYMTAB_FUNC(debug_format_buffer_alloc_buffers, "", "");
KSYMTAB_FUNC(debug_format_buffer_free_buffers, "", "");
KSYMTAB_FUNC(get_debug_raw_pointers, "", "");
KSYMTAB_FUNC(set_debug_raw_pointers, "", "");
KSYMTAB_FUNC(libcfs_debug_msg, "", "");
KSYMTAB_FUNC(cfs_trace_copyout_string, "", "");
KSYMTAB_FUNC(llcrypt_enqueue_decrypt_work, "", "");
KSYMTAB_FUNC(llcrypt_release_ctx, "", "");
KSYMTAB_FUNC(llcrypt_get_ctx, "", "");
KSYMTAB_FUNC(llcrypt_free_bounce_folio, "", "");
KSYMTAB_FUNC(llcrypt_encrypt_pagecache_blocks, "", "");
KSYMTAB_FUNC(llcrypt_encrypt_block, "", "");
KSYMTAB_FUNC(llcrypt_decrypt_pagecache_blocks, "", "");
KSYMTAB_FUNC(llcrypt_decrypt_block, "", "");
KSYMTAB_FUNC(llcrypt_fname_alloc_buffer, "", "");
KSYMTAB_FUNC(llcrypt_fname_free_buffer, "", "");
KSYMTAB_FUNC(llcrypt_fname_disk_to_usr, "", "");
KSYMTAB_FUNC(llcrypt_setup_filename, "", "");
KSYMTAB_FUNC(llcrypt_file_open, "_gpl", "");
KSYMTAB_FUNC(__llcrypt_prepare_link, "_gpl", "");
KSYMTAB_FUNC(__llcrypt_prepare_rename, "_gpl", "");
KSYMTAB_FUNC(__llcrypt_prepare_lookup, "_gpl", "");
KSYMTAB_FUNC(__llcrypt_prepare_symlink, "_gpl", "");
KSYMTAB_FUNC(__llcrypt_encrypt_symlink, "_gpl", "");
KSYMTAB_FUNC(llcrypt_get_symlink, "_gpl", "");
KSYMTAB_FUNC(llcrypt_sb_free, "", "");
KSYMTAB_FUNC(llcrypt_ioctl_add_key, "_gpl", "");
KSYMTAB_FUNC(llcrypt_ioctl_remove_key, "_gpl", "");
KSYMTAB_FUNC(llcrypt_ioctl_remove_key_all_users, "_gpl", "");
KSYMTAB_FUNC(llcrypt_ioctl_get_key_status, "_gpl", "");
KSYMTAB_FUNC(llcrypt_get_encryption_info, "", "");
KSYMTAB_FUNC(llcrypt_put_encryption_info, "", "");
KSYMTAB_FUNC(llcrypt_free_inode, "", "");
KSYMTAB_FUNC(llcrypt_drop_inode, "_gpl", "");
KSYMTAB_FUNC(llcrypt_has_encryption_key, "_gpl", "");
KSYMTAB_FUNC(llcrypt_policy_has_filename_enc, "", "");
KSYMTAB_FUNC(llcrypt_ioctl_set_policy, "", "");
KSYMTAB_FUNC(llcrypt_ioctl_get_policy, "", "");
KSYMTAB_FUNC(llcrypt_ioctl_get_policy_ex, "_gpl", "");
KSYMTAB_FUNC(llcrypt_has_permitted_context, "", "");
KSYMTAB_FUNC(llcrypt_inherit_context, "", "");
KSYMTAB_FUNC(ll_shrinker_free, "", "");
KSYMTAB_FUNC(ll_shrinker_alloc, "", "");
KSYMTAB_FUNC(ll_shrinker_register, "", "");
KSYMTAB_FUNC(compat_vfree_atomic, "", "");
KSYMTAB_FUNC(cfs_kallsyms_lookup_name, "_gpl", "");
KSYMTAB_FUNC(compat_alloc_workqueue_attrs, "", "");
KSYMTAB_FUNC(compat_free_workqueue_attrs, "", "");
KSYMTAB_FUNC(compat_apply_workqueue_attrs, "", "");
KSYMTAB_FUNC(folio_memcg_lock, "_gpl", "");
KSYMTAB_FUNC(folio_memcg_unlock, "_gpl", "");
KSYMTAB_FUNC(compat_security_file_alloc, "", "");
KSYMTAB_FUNC(compat_security_file_free, "", "");
KSYMTAB_FUNC(compat_totalram_pages, "", "");

SYMBOL_CRC(libcfs_subsystem_debug, 0x3c1285bd, "");
SYMBOL_CRC(libcfs_debug, 0x71f662a3, "");
SYMBOL_CRC(libcfs_catastrophe, 0x58a7ee00, "");
SYMBOL_CRC(libcfs_watchdog_ratelimit, 0x6c905b5f, "");
SYMBOL_CRC(libcfs_kmem, 0xe493bfa2, "");
SYMBOL_CRC(libcfs_debug_file_path, 0x6dc535b5, "");
SYMBOL_CRC(cfs_mask2str, 0x80b2d7d4, "");
SYMBOL_CRC(cfs_str2mask, 0xd2b29915, "");
SYMBOL_CRC(libcfs_debug_dumplog, 0x000c507f, "");
SYMBOL_CRC(lbug_with_loc, 0xf9a61711, "");
SYMBOL_CRC(libcfs_debug_clear_buffer, 0x73b7c3b4, "");
SYMBOL_CRC(libcfs_debug_mark_buffer, 0x85f4467a, "");
SYMBOL_CRC(cfs_fail_loc, 0x7fda989d, "");
SYMBOL_CRC(cfs_fail_val, 0xeceac781, "");
SYMBOL_CRC(cfs_fail_err, 0x4d3b4eaf, "");
SYMBOL_CRC(cfs_race_waitq, 0x0037ed11, "");
SYMBOL_CRC(cfs_race_state, 0x3d5e6098, "");
SYMBOL_CRC(__cfs_fail_check_set, 0xcf61bacb, "");
SYMBOL_CRC(__cfs_fail_timeout_set, 0xf47f5b71, "");
SYMBOL_CRC(cpu_npartitions, 0x6ef80902, "");
SYMBOL_CRC(cpu_pattern, 0xf0ad403e, "");
SYMBOL_CRC(debugfs_doint, 0xb4e2470e, "");
SYMBOL_CRC(lnet_insert_debugfs, 0x3a25021e, "_gpl");
SYMBOL_CRC(lnet_debugfs_fini, 0x891970c3, "_gpl");
SYMBOL_CRC(lnet_remove_debugfs, 0xa390c242, "_gpl");
SYMBOL_CRC(libcfs_setup, 0xa44c65ab, "");
SYMBOL_CRC(debug_format_buffer_alloc_buffers, 0x5653842b, "");
SYMBOL_CRC(debug_format_buffer_free_buffers, 0x00ac7848, "");
SYMBOL_CRC(get_debug_raw_pointers, 0xabf8ad60, "");
SYMBOL_CRC(set_debug_raw_pointers, 0x065f57b1, "");
SYMBOL_CRC(libcfs_debug_msg, 0x330557ec, "");
SYMBOL_CRC(cfs_trace_copyout_string, 0x9f82f712, "");
SYMBOL_CRC(llcrypt_enqueue_decrypt_work, 0xc5de4cec, "");
SYMBOL_CRC(llcrypt_release_ctx, 0xac4ddf76, "");
SYMBOL_CRC(llcrypt_get_ctx, 0xfefba6d6, "");
SYMBOL_CRC(llcrypt_free_bounce_folio, 0x20455e8b, "");
SYMBOL_CRC(llcrypt_encrypt_pagecache_blocks, 0xcae6898f, "");
SYMBOL_CRC(llcrypt_encrypt_block, 0xeec662e6, "");
SYMBOL_CRC(llcrypt_decrypt_pagecache_blocks, 0x5c5db086, "");
SYMBOL_CRC(llcrypt_decrypt_block, 0x1effb2ce, "");
SYMBOL_CRC(llcrypt_fname_alloc_buffer, 0xe8f5d1e8, "");
SYMBOL_CRC(llcrypt_fname_free_buffer, 0x5b20d38f, "");
SYMBOL_CRC(llcrypt_fname_disk_to_usr, 0x2060dd55, "");
SYMBOL_CRC(llcrypt_setup_filename, 0x609b6d80, "");
SYMBOL_CRC(llcrypt_file_open, 0x9ee46010, "_gpl");
SYMBOL_CRC(__llcrypt_prepare_link, 0x13eef264, "_gpl");
SYMBOL_CRC(__llcrypt_prepare_rename, 0xa6e0fa73, "_gpl");
SYMBOL_CRC(__llcrypt_prepare_lookup, 0x42ea44b7, "_gpl");
SYMBOL_CRC(__llcrypt_prepare_symlink, 0x4676b0be, "_gpl");
SYMBOL_CRC(__llcrypt_encrypt_symlink, 0xec1010ba, "_gpl");
SYMBOL_CRC(llcrypt_get_symlink, 0xd4d8d01c, "_gpl");
SYMBOL_CRC(llcrypt_sb_free, 0x61bdca97, "");
SYMBOL_CRC(llcrypt_ioctl_add_key, 0x184179c1, "_gpl");
SYMBOL_CRC(llcrypt_ioctl_remove_key, 0x77bf212e, "_gpl");
SYMBOL_CRC(llcrypt_ioctl_remove_key_all_users, 0x00768d35, "_gpl");
SYMBOL_CRC(llcrypt_ioctl_get_key_status, 0x17d7d33c, "_gpl");
SYMBOL_CRC(llcrypt_get_encryption_info, 0x8bf0ea14, "");
SYMBOL_CRC(llcrypt_put_encryption_info, 0x7992a7fe, "");
SYMBOL_CRC(llcrypt_free_inode, 0xe66fe554, "");
SYMBOL_CRC(llcrypt_drop_inode, 0xa56a772a, "_gpl");
SYMBOL_CRC(llcrypt_has_encryption_key, 0xb8cb6ccd, "_gpl");
SYMBOL_CRC(llcrypt_policy_has_filename_enc, 0x7eceab3c, "");
SYMBOL_CRC(llcrypt_ioctl_set_policy, 0x50dcddfd, "");
SYMBOL_CRC(llcrypt_ioctl_get_policy, 0xf99e535e, "");
SYMBOL_CRC(llcrypt_ioctl_get_policy_ex, 0xc67a8a8d, "_gpl");
SYMBOL_CRC(llcrypt_has_permitted_context, 0x010f13db, "");
SYMBOL_CRC(llcrypt_inherit_context, 0xc0201961, "");
SYMBOL_CRC(ll_shrinker_free, 0xfeb9e729, "");
SYMBOL_CRC(ll_shrinker_alloc, 0x5b203df7, "");
SYMBOL_CRC(ll_shrinker_register, 0xa137c330, "");
SYMBOL_CRC(compat_vfree_atomic, 0x8f9ba84c, "");
SYMBOL_CRC(cfs_kallsyms_lookup_name, 0x117b210d, "_gpl");
SYMBOL_CRC(compat_alloc_workqueue_attrs, 0x53ded526, "");
SYMBOL_CRC(compat_free_workqueue_attrs, 0xd1c7c320, "");
SYMBOL_CRC(compat_apply_workqueue_attrs, 0x4b519a12, "");
SYMBOL_CRC(folio_memcg_lock, 0xa798eb17, "_gpl");
SYMBOL_CRC(folio_memcg_unlock, 0x1f81bc79, "_gpl");
SYMBOL_CRC(compat_security_file_alloc, 0xd52820cc, "");
SYMBOL_CRC(compat_security_file_free, 0x6d6dfcf4, "");
SYMBOL_CRC(compat_totalram_pages, 0xe05e2b86, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x390868c5, "crypto_skcipher_encrypt" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xfead67e8, "filp_open" },
	{ 0xbaaed353, "vfs_fsync_range" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x1a07f311, "shrinker_alloc" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xf97aed13, "tty_lock" },
	{ 0x89df7d44, "__init_rwsem" },
	{ 0x43fb543e, "__page_ref_mod_and_test" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x3f88ab5d, "key_alloc" },
	{ 0xa97d5989, "param_ops_uint" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x92f43c9b, "crypto_alloc_base" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x77bc13a0, "strim" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x19f057ff, "debugfs_create_symlink" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xaafc7bef, "tty_kref_put" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4942be9e, "sync_filesystem" },
	{ 0x998cacb, "unregister_key_type" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x75d0deb9, "nsecs_to_jiffies64" },
	{ 0x69acdf38, "memcpy" },
	{ 0x7a8347e4, "d_find_any_alias" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x438bccf6, "iput" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x1c4696ac, "pcpu_hot" },
	{ 0xd0b4ae03, "seq_lseek" },
	{ 0xe743e823, "__put_devmap_managed_page_refs" },
	{ 0xbaab86d7, "d_hash_and_lookup" },
	{ 0x6b69ae8b, "__tracepoint_page_ref_mod_and_test" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x6c73fccd, "crypto_skcipher_setkey" },
	{ 0x148653, "vsnprintf" },
	{ 0xab4d4ce3, "kmem_cache_create" },
	{ 0xd6c976e3, "key_instantiate_and_link" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x9493fc86, "node_states" },
	{ 0x70877df7, "mempool_free" },
	{ 0xa4f9932b, "register_key_type" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xfb20535a, "keyring_alloc" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x42091529, "shrink_dcache_parent" },
	{ 0x21ca9137, "d_prune_aliases" },
	{ 0x59262f45, "wake_up_process" },
	{ 0x992bf35e, "crypto_cipher_setkey" },
	{ 0xa0a3b4f9, "shrinker_free" },
	{ 0x4228cb24, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xcc2866db, "panic_notifier_list" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0xe3e35866, "mnt_want_write_file" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x7577132e, "mempool_create" },
	{ 0x96b29254, "strncasecmp" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf92fb6a8, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xee7aa097, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xb6b90253, "crypto_skcipher_decrypt" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0xd5676c68, "shrinker_register" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xee925076, "mempool_alloc" },
	{ 0xecfed58f, "__free_pages" },
	{ 0x54dbd3bf, "kmem_cache_alloc" },
	{ 0x9f984513, "strrchr" },
	{ 0xc6cbbc89, "capable" },
	{ 0xd12fb8c4, "mnt_drop_write_file" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xfed7d6fa, "keyring_clear" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6bd204c9, "key_put" },
	{ 0x190f8730, "kernel_param_lock" },
	{ 0x4b800ea4, "key_unlink" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad01d59e, "down_write" },
	{ 0x72cdcf0, "crypto_req_done" },
	{ 0x41482d8b, "strndup_user" },
	{ 0x10f34bdc, "up_write" },
	{ 0x39cfbf2a, "crypto_shash_setkey" },
	{ 0xf4efaf9a, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x6d118ee, "key_type_logon" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x357a3b3b, "dentry_path_raw" },
	{ 0xd44ca895, "param_get_byte" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xabd3f043, "kmem_cache_free" },
	{ 0x28cada2c, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xda6c19db, "folio_alloc" },
	{ 0x5d81fd5c, "seq_putc" },
	{ 0x4304bce5, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x6573f300, "ida_free" },
	{ 0x58c59547, "wait_for_completion_interruptible" },
	{ 0xf1e046cc, "panic" },
	{ 0x6176eb24, "crypto_shash_update" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x19a87250, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0xd252f99f, "default_llseek" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xc95d6c28, "kernel_param_unlock" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x993b7227, "__init_work" },
	{ 0x96379010, "inode_owner_or_capable" },
	{ 0x731b701e, "param_ops_charp" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x2914128c, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x916b92be, "mutex_trylock" },
	{ 0x4841bdee, "strnchr" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x70f72453, "nonseekable_open" },
	{ 0x9d0601b0, "kthread_create_on_node" },
	{ 0xdaf0e5c8, "seq_read" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x11bc9cd7, "crypto_cipher_encrypt_one" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x9f48bd02, "debugfs_create_file" },
	{ 0x1d07e448, "param_set_uint_minmax" },
	{ 0xc188a09e, "igrab" },
	{ 0x167e7f9d, "__get_user_1" },
	{ 0x999e8297, "vfree" },
	{ 0xab4f7184, "atomic_notifier_chain_unregister" },
	{ 0xe5131163, "keyring_search" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xa51d21f7, "crypto_shash_finup" },
	{ 0x1632bc21, "kvasprintf_const" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x72e3a50f, "request_key_tag" },
	{ 0xdb10d731, "d_find_alias" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x454d31db, "alloc_pages" },
	{ 0xb730bb16, "filp_close" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x829d9043, "mempool_destroy" },
	{ 0x1a0e30b0, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x74b34f73, "key_payload_reserve" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd457b840, "seq_printf" },
	{ 0x81596cc6, "dput" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xfcca5424, "register_kprobe" },
	{ 0xb70789e, "__might_fault" },
	{ 0x7bbccd05, "nr_node_ids" },
	{ 0x77302eab, "seq_puts" },
	{ 0x8616770f, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x63026490, "unregister_kprobe" },
	{ 0xb8b043f2, "kfree_link" },
	{ 0x68d0e877, "dget_parent" },
	{ 0x5a35b370, "get_current_tty" },
	{ 0x445a4490, "kmalloc_trace" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xa3d1fed3, "d_set_d_op" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x754d539c, "strlen" },
	{ 0xd363b7e, "param_ops_int" },
	{ 0x51f7b586, "refcount_dec_and_lock" },
	{ 0xcc355a79, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0xb4f80a8f, "crypto_alloc_shash" },
	{ 0x75f2104e, "key_invalidate" },
	{ 0x771c28, "debugfs_create_dir" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xb66944e, "tty_unlock" },
	{ 0x66784c7c, "up_read" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xaeeccedb, "kmalloc_caches" },
	{ 0x79f32ad4, "kernel_write" },
	{ 0x4cc320d1, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xa283212e, "crypto_alloc_skcipher" },
	{ 0x71baeb31, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3353DF4B5F6024751B4FFEB");
MODULE_INFO(rhelversion, "9.6");
